Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class ProjectSubcontractor
    Inherits BaseObject

    Private _ProjectHeader As ProjectHeader
    Private _Subcontractor As Subcontractor

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Association("ProjectHeader-ProjectSubcontractor", GetType(ProjectHeader)), VisibleInListView(False)> _
    Property ProjectHeader As ProjectHeader
        Get
            Return _ProjectHeader
        End Get
        Set(value As ProjectHeader)
            SetPropertyValue("ProjectHeader", _ProjectHeader, value)
        End Set
    End Property
    Property Subcontractor As Subcontractor
        Get
            Return _Subcontractor
        End Get
        Set(value As Subcontractor)
            SetPropertyValue("Subcontractor", _Subcontractor, value)
        End Set
    End Property
End Class
